#pragma once
#include "node.h"

class NodeMetadata : public Node
{
public:
    std::map<std::string, std::string> m_props;
    NodeMetadata() noexcept;
    virtual Node* clone_instantiate() const override;
    virtual void clone_copy(Node* dest) const override;
    virtual void parse_attributes(kAttribute ka, const tinyxml2::XMLAttribute* attr) override;
};
